# prosogram.praat
# For information and documentation :
#   see http://bach.arts.kuleuven.be/pmertens/prosogram/
# Requires Praat 5.1.16 or higher.

# Author: Piet Mertens
# Last modification: 2011-02-27
# Copyright 2003-2010 Piet Mertens

form Prosogram 2.8 (May 1, 2011)
	optionmenu Task 1
		option Prosogram and prosodic profile
		option Interactive prosogram
;		option Prosodic profile only (no drawing)
;		option Recalculate pitch for entire sound file
;		option Recalculate loudness for entire sound file
		option Make automatic segmentation into syllables and save
;		option Plot pitch in semitones, with annotation. No stylization.
;		option Draw annotation only. No stylization.
;		option Prosodic boundary detection
;		option Prosodic contour annotation
   comment Input files:
	text Input_files C:\Praat\prosogram\*.wav
 	real left_Time_range_(s) 0.0
	real right_Time_range_(s) 0.0 (=all)
	real left_F0_detection_range_(Hz) 50 (=default)
	real right_F0_detection_range_(Hz) 550 (=default)
	optionmenu Parameter_calculation: 1
		option Full (saved in file)
		option Partial (not saved in file)
	optionmenu Frame_period_(s): 1
		option 0.005
		option 0.01
	optionmenu Segmentation_method 1
		option Syllabic nuclei using syllables in "syll" and local peak
;		option Vocalic nuclei (local peak of vowels in tier "phon*" or tier 1)
		option Automatic: acoustic syllables
;		option Automatic: peak of loudness (obsolete)
;		option Automatic: peak of intensity of BP-filtered signal (obsolete)
;		option Using external segmentation in tier "segm*"
;		option Automatic: acoustic syllables (using loudness)
;		option Syllabic nuclei using syllables in "syll" and vowels in "phon*"
	optionmenu Thresholds: 3
		option G=0.16/T^2, DG=20, dmin=0.035
		option G=0.24/T^2, DG=20, dmin=0.035
		option G=0.32/T^2, DG=20, dmin=0.035
		option G=0.32/T^2, DG=30, dmin=0.050
	boolean Save_intermediate_data 0
   	optionmenu View: 4
		option 1: Compact
		option 2: Compact rich
		option 3: Wide
		option 4: Wide rich
		option 4: Wide rich, with values pitch targets
;		option 5: Large
;		option 6: Large rich
	positive Time_interval_per_strip_(s) 3.0
        sentence Tiers_to_show 1
	real left_Pitch_range_(ST) 0 (=autorange)
	real right_Pitch_range_(ST) 100
	optionmenu Output_mode: 1
		option Fill page with strips
		option One strip per file
	optionmenu Output_format: 1
		option EMF (Windows Enhanced Metafile)
		option EPS (Encapsulated Postscript)
   comment Output path and filename for EPS/EMF files :
	text Output_filename <input_directory>/<basename>_
endform

clearinfo

include prosomain.praat
include util.praat
include prosoplot.praat
include histogram.praat
include segment.praat
include stylize.praat


    version$ = "Prosogram v2.8"
# ------------- Special options  --------------
    # Font used in plot
	font_family$ = "Helvetica"	; else use "Times"
    # width of viewport used for prosogram (inches) 
	viewport_width = 7.5
    # Autorange for entire file (global) or for separate prosograms
	autorange_local = 0
    # Clip stylisation to Y range 
	clip_to_Y_range = 0
    # Use greyscale instead of colors
	greyscale = 0

    call main

exit
